import React from 'react';
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { SelectProps, SelectOption } from './Select/types';
import { TagInputProps } from './TagInput/TagInput';
export declare type MultiSelectTagProps<T extends SelectOption> = PropsWithMetadata<SelectProps<T> & Pick<TagInputProps, 'onTagRemove' | 'textBetweenTags' | 'inputPlaceHolder'>>;
declare function MultiSelectTagWithRef<T extends SelectOption>({ selectedOptions, onSelect, onTagRemove, options, className, metadata, minOptionsToDisplaySearch, searchPlaceholder, inputPlaceHolder, onClearOptions, listHeaderElement, textBetweenTags, clearLabel, }: MultiSelectTagProps<T>, ref: React.Ref<HTMLDivElement>): JSX.Element;
declare namespace MultiSelectTagWithRef {
    var displayName: string;
}
declare const MultiSelectTag: <T extends SelectOption>(props: SelectProps<T> & Pick<TagInputProps, "onTagRemove" | "textBetweenTags" | "inputPlaceHolder"> & {
    metadata?: import("@highlight-ui/utils-commons").ComponentMetadata | undefined;
} & {
    ref?: React.Ref<HTMLDivElement> | undefined;
}) => ReturnType<typeof MultiSelectTagWithRef>;
export default MultiSelectTag;
